KATE(1)

NAME
kate - KDE võimas tekstiredaktor

SYNOPSIS

kate [-s, --start nimi] [-u, --use] [-p, --pid pid] [-e, --encoding nimi] [-l, --line rida] [-c, --column veerg] [-i, --stdin] [KDE üldised võtmed] [Qt üldised võtmed]

KIRJELDUS

Kate on KDE võimas tekstiredaktor.

Kate pakub ka KWrite'i nime all redaktorikomponenti paljudele teistele rakendustele.

Kate arvukate omaduste hulka kuuluvad seadistatav süntaksi esiletõstmine paljude keelte korral alates C ja C++ keelest HTML-keele ja Bash'i skriptideni, projektide loomise ja hooldamise võimalus, mitmedokumendiliides (MDI) ja sisseehitatud terminaliemulaator.

Kuid Kate on palju enam kui vaid programmeerija redaktor. Oskus avada palju faile korraga muudab selle ideaalseks vahendiks UNIX® arvukate konfiguratsioonifailide redigeerimisel. Ka käesolev dokument on kirjutatud Katega.

VõTMED

-s, --start nimi
    Käivitab Kate määratud seansiga.

-u, --use
    Kasutab juba töötavat Kate protsessi.

-p, --pid  pid
    Üritatakse kasutada Kate protsessi ID-ga pid.

-e, --encoding  nimi
    Avatava faili kodeeringu määramine. Sellega võib sundida näiteks faili avama UTF-8 kodeeringus (käsk iconv -l näitab saadaolevaid kodeeringuid).

-l, --line  rida
    Liigub määratud reale.

-c, --column  veerg
    Liigub määratud veerule.

-i, --stdin
    Loeb sisu standardsisendist stdin.

VAATA KA

kwrite(1)

Põhjalikumat kasutaja dokumentatsiooni pakub help:/kate (kirjuta see URL Konquerori või käivita käsuga khelpcenter help:/kate).

Täiendavat infot leiab ka Kate koduleheküljelt: http://kate.kde.org/.

NäITED

Faili source.cpp avamiseks veerus 15 ja real 25 olemasolevas Kate aknas tuleb anda käsk:

    kate -c 15 -l 25 -u source.cpp

Kui sul on internetiühendus, võid ära kasutada KDE võrguläbipaistvuse võimalusi faili avamiseks näiteks FTP-saidilt. Kui sul ei ole võrguserveris kirjutamisõigust, avatakse fail kirjutuskaitstuna ning sa pead selle salvestama enda arvutis, kui soovid teha muutatusi. Kui sul on aga kirjutamisõigus, salvestatakse muudatused otsekohe üle võrgu serverisse.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

AUTORID

Kate hooldaja on Christoph Cullmann <cullmann@kde.org>. Autorite ja kaasautorite täieliku nimekirja leiab eespool mainitud kasutaja käsiraamatust.

AUTHOR
Lauri Watts.